## ros-one-pr2-bringup 1.6.32-21jammy.20251023.1553

=== debian/changelog ===
ros-one-pr2-bringup (1.6.32-21jammy.20251023.1553) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 15:53:27 +0000

ros-one-pr2-bringup (1.6.32-0jammy) jammy; urgency=high

  * Merge pull request #268 <https://github.com/pr2/pr2_robot/issues/268> from k-okada/fix_for_noetic
  * run 2to3 -w -fexcept .
  * run 2to3 -w -fprint .
  * Contributors: Kei Okada

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-bringup (1.6.31-0jammy) jammy; urgency=high

  * pr2_bringup: test launch files (#255 <https://github.com/pr2/pr2_robot/issues/255>)
    
      * Disable because pr2.launch needs to resolve c1/c2 hostname
    
  * rebased version of https://github.com/PR2/pr2_robot/pull/256 (#263 <https://github.com/pr2/pr2_robot/issues/263>)
    
      * Adapt monitoring to upgraded PR2s:
        - no more IPMI
        - new number of CPU cores
        - re-add monitoring of c2
    
  * calibrate_pr2: intercept and print exception (#248 <https://github.com/pr2/pr2_robot/issues/248>)
    * This was silently ignored before.
    * White space cleanup
  * Param names changed between urg_node and hokuyo_node (#257 <https://github.com/pr2/pr2_robot/issues/257>)
    
      * The new urg_node package is used for the laser scanners in kinetic, but the parameter names are still the one of the hokuyo_node package.
    
  * Contributors: Yuki Furuta, Matthieu Herrb, Michael Goerner, Yannick Jonetzko

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-bringup (1.6.30-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.29-0jammy) jammy; urgency=high

  * commented out tests that seem to require PR2 to function properly (timing out jenkins build)
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.28-0jammy) jammy; urgency=high

  * made sure tests only run if CATKIN_ENABLE_TESTING is set
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.27-0jammy) jammy; urgency=high

  * updated hokuyo node dependencies to urg_ndoe
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.26-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.25-0jammy) jammy; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.7-0jammy) jammy; urgency=high

  * Updated mainpage.dox
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-bringup//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-bringup 1.6.32-21jammy.20260222.0142

=== debian/changelog ===
ros-one-pr2-bringup (1.6.32-21jammy.20260222.0142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Feb 2026 01:42:04 +0000

## ros-one-pr2-bringup 1.6.32-21noble.20251023.1629

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
if(POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif()
project(pr2_bringup)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS rostest)

if(CATKIN_ENABLE_TESTING)
	# Tests that PR2 diagnostic analyzers configuration loads
	#DFS: commented out test that is timing out jenkins build
	#add_rostest(test/pr2_analyzers_load_test.launch)
endif()

catkin_package()

# install
install(DIRECTORY config
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
   "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*")
install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES
   pr2.launch
   pr2_recalibrate.launch
   pr2-c2.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roslaunch REQUIRED)
  # Tests that PR2 diagnostic analyzers configuration loads
  add_rostest(test/pr2_analyzers_load_test.launch)
  # Disable because pr2.launch needs to resolve c1/c2 hostname
  # roslaunch_add_file_check(pr2.launch ROS_ENV_LOADER=/opt/ros/$ENV{ROS_DISTRO}/env.sh)
  # roslaunch_add_file_check(pr2-c2.launch)
  roslaunch_add_file_check(pr2_recalibrate.launch)
endif()

=== debian/changelog ===
ros-one-pr2-bringup (1.6.32-21noble.20251023.1629) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 16:29:36 +0000

ros-one-pr2-bringup (1.6.32-0noble) noble; urgency=high

  * Merge pull request #268 <https://github.com/pr2/pr2_robot/issues/268> from k-okada/fix_for_noetic
  * run 2to3 -w -fexcept .
  * run 2to3 -w -fprint .
  * Contributors: Kei Okada

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-bringup (1.6.31-0noble) noble; urgency=high

  * pr2_bringup: test launch files (#255 <https://github.com/pr2/pr2_robot/issues/255>)
    
      * Disable because pr2.launch needs to resolve c1/c2 hostname
    
  * rebased version of https://github.com/PR2/pr2_robot/pull/256 (#263 <https://github.com/pr2/pr2_robot/issues/263>)
    
      * Adapt monitoring to upgraded PR2s:
        - no more IPMI
        - new number of CPU cores
        - re-add monitoring of c2
    
  * calibrate_pr2: intercept and print exception (#248 <https://github.com/pr2/pr2_robot/issues/248>)
    * This was silently ignored before.
    * White space cleanup
  * Param names changed between urg_node and hokuyo_node (#257 <https://github.com/pr2/pr2_robot/issues/257>)
    
      * The new urg_node package is used for the laser scanners in kinetic, but the parameter names are still the one of the hokuyo_node package.
    
  * Contributors: Yuki Furuta, Matthieu Herrb, Michael Goerner, Yannick Jonetzko

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-bringup (1.6.30-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.29-0noble) noble; urgency=high

  * commented out tests that seem to require PR2 to function properly (timing out jenkins build)
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.28-0noble) noble; urgency=high

  * made sure tests only run if CATKIN_ENABLE_TESTING is set
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.27-0noble) noble; urgency=high

  * updated hokuyo node dependencies to urg_ndoe
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.26-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.25-0noble) noble; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-bringup (1.6.7-0noble) noble; urgency=high

  * Updated mainpage.dox
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-pr2-bringup
Section: misc
Priority: optional
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-roslaunch, ros-one-rostest
Homepage: http://ros.org/wiki/pr2_bringup
Standards-Version: 3.9.2

Package: ros-one-pr2-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-aggregator, ros-one-ethercat-trigger-controllers, ros-one-imu-monitor, ros-one-joint-trajectory-action, ros-one-joy, ros-one-microstrain-3dmgx2-imu, ros-one-ocean-battery-driver, ros-one-power-monitor, ros-one-pr2-calibration-controllers, ros-one-pr2-camera-synchronizer, ros-one-pr2-computer-monitor, ros-one-pr2-controller-configuration, ros-one-pr2-controller-manager, ros-one-pr2-dashboard-aggregator, ros-one-pr2-description, ros-one-pr2-ethercat, ros-one-pr2-gripper-action, ros-one-pr2-head-action, ros-one-pr2-machine, ros-one-pr2-power-board, ros-one-pr2-run-stop-auto-restart, ros-one-prosilica-camera, ros-one-robot-mechanism-controllers, ros-one-robot-pose-ekf, ros-one-robot-state-publisher, ros-one-rosbag, ros-one-single-joint-position-action, ros-one-sound-play, ros-one-std-srvs, ros-one-stereo-image-proc, ros-one-tf2-ros, ros-one-urg-node, ros-one-wge100-camera, ros-one-wifi-ddwrt
Description: Launch files and scripts needed to bring a PR2 up into a running state.

## ros-one-pr2-bringup 1.6.32-21noble.20260222.2215

=== debian/changelog ===
ros-one-pr2-bringup (1.6.32-21noble.20260222.2215) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Feb 2026 22:15:45 +0000
